> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Publication Preview For Current Revision



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/assistant/imports/{importId}/publication-preview
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/imports/{importId}/publication-preview:
    get:
      tags:
        - Data Imports
      summary: Publication Preview For Current Revision
      operationId: DataImportsController_publicationPreviewForCurrentRevision_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: importId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: projectId
          required: true
          in: query
          schema:
            type: string
            pattern: ^[1-9]\d*$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataImportPublicationPreviewResponseDto'
components:
  schemas:
    DataImportPublicationPreviewResponseDto:
      type: object
      properties:
        companies:
          required:
            - plannedNew
            - existing
            - updates
            - identities
          type: object
          additionalProperties: false
          properties:
            plannedNew:
              type: integer
              minimum: 0
            existing:
              type: integer
              minimum: 0
            updates:
              type: integer
              minimum: 0
            identities:
              type: array
              items:
                type: object
                additionalProperties: false
                properties:
                  kind:
                    type: string
                    enum:
                      - planned_new
                      - existing
                      - update
                  key:
                    type: string
                  label:
                    type: string
                required:
                  - kind
                  - key
                  - label
        areas:
          required:
            - plannedNew
            - existing
            - omitted
            - identities
          type: object
          additionalProperties: false
          properties:
            plannedNew:
              type: integer
              minimum: 0
            existing:
              type: integer
              minimum: 0
            omitted:
              type: integer
              minimum: 0
            identities:
              type: array
              items:
                type: object
                additionalProperties: false
                properties:
                  kind:
                    type: string
                    enum:
                      - planned_new
                      - existing
                      - update
                  key:
                    type: string
                  label:
                    type: string
                required:
                  - kind
                  - key
                  - label
        sessionVersion:
          type: number
        analysisRevision:
          type: number
        rootCount:
          type: number
        componentCount:
          type: number
        imageCount:
          type: number
        allocationCount:
          type: number
        omittedInvalidImageCount:
          type: number
      required:
        - sessionVersion
        - analysisRevision
        - rootCount
        - componentCount
        - imageCount
        - allocationCount
        - omittedInvalidImageCount

````